File "/home/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/domain.py", line 546, in index_for_action return self.action_names.index(action_name) ValueError: '' is not in list

Traceback (most recent call last): File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/domain.py”, line 546, in index_for_action Preformatted text return self.action_names.index(action_name) ValueError: ‘’ is not in list

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “/home/sid/anaconda3/envs/rasa/bin/rasa”, line 8, in sys.exit(main()) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/main.py”, line 92, in main cmdline_arguments.func(cmdline_arguments) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/cli/train.py”, line 76, in train additional_arguments=extract_additional_arguments(args), File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/train.py”, line 50, in train additional_arguments=additional_arguments, File “uvloop/loop.pyx”, line 1456, in uvloop.loop.Loop.run_until_complete File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/train.py”, line 101, in train_async additional_arguments, File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/train.py”, line 188, in _train_async_internal additional_arguments=additional_arguments, File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/train.py”, line 223, in _do_training additional_arguments=additional_arguments, File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/train.py”, line 361, in _train_core_with_validated_data additional_arguments=additional_arguments, File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/train.py”, line 66, in train agent.train(training_data, **additional_arguments) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/agent.py”, line 742, in train self.policy_ensemble.train(training_trackers, self.domain, **kwargs) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/policies/ensemble.py”, line 124, in train policy.train(training_trackers, domain, **kwargs) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/policies/memoization.py”, line 163, in train self._add_states_to_lookup(trackers_as_states, trackers_as_actions, domain) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/policies/memoization.py”, line 110, in _add_states_to_lookup feature_item = domain.index_for_action(action) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/domain.py”, line 548, in index_for_action self._raise_action_not_found_exception(action_name) File “/home/sid/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/domain.py”, line 553, in _raise_action_not_found_exception f"Cannot access action ‘{action_name}’, " NameError: Cannot access action ‘’, as that name is not a registered action for this domain. Available actions are:

  • action_listen
  • action_restart
  • action_session_start
  • action_default_fallback
  • action_deactivate_form
  • action_revert_fallback_events
  • action_default_ask_affirmation
  • action_default_ask_rephrase
  • action_back
  • action_room_search
  • utter_ask_number_of_people
  • utter_ask_room_type
  • utter_cheer_up
  • utter_did_that_help
  • utter_goodbye
  • utter_greet
  • utter_happy
  • utter_how_can_i_help
  • utter_iamabot

l am continuously getting this error I am new to rasa and learning from rasa masterclass offered by rasa itself on youtube. I don’t know if these error is due to some changes on the code on updated version please help. stories.md (1011 Bytes) nlu.md (1.3 KB) endpoints.yml (1.4 KB) domain.yml (1.4 KB) actions.py (1.0 KB)

Hi Siddhartha,

just to check, on what operating system are you working? The Rasa masterclass videos should still be valid but it might help to start the experience by checking out these installation videos first;

It might be more beginner friendly but it should move you through all the required steps to get the “hello world” bot working locally.